import { HttpRequest as __HttpRequest, HttpResponse as __HttpResponse } from "@aws-sdk/protocol-http";
import { SerdeContext as __SerdeContext } from "@aws-sdk/types";
import { CreateMediaCapturePipelineCommandInput, CreateMediaCapturePipelineCommandOutput } from "../commands/CreateMediaCapturePipelineCommand";
import { CreateMediaConcatenationPipelineCommandInput, CreateMediaConcatenationPipelineCommandOutput } from "../commands/CreateMediaConcatenationPipelineCommand";
import { CreateMediaInsightsPipelineCommandInput, CreateMediaInsightsPipelineCommandOutput } from "../commands/CreateMediaInsightsPipelineCommand";
import { CreateMediaInsightsPipelineConfigurationCommandInput, CreateMediaInsightsPipelineConfigurationCommandOutput } from "../commands/CreateMediaInsightsPipelineConfigurationCommand";
import { CreateMediaLiveConnectorPipelineCommandInput, CreateMediaLiveConnectorPipelineCommandOutput } from "../commands/CreateMediaLiveConnectorPipelineCommand";
import { DeleteMediaCapturePipelineCommandInput, DeleteMediaCapturePipelineCommandOutput } from "../commands/DeleteMediaCapturePipelineCommand";
import { DeleteMediaInsightsPipelineConfigurationCommandInput, DeleteMediaInsightsPipelineConfigurationCommandOutput } from "../commands/DeleteMediaInsightsPipelineConfigurationCommand";
import { DeleteMediaPipelineCommandInput, DeleteMediaPipelineCommandOutput } from "../commands/DeleteMediaPipelineCommand";
import { GetMediaCapturePipelineCommandInput, GetMediaCapturePipelineCommandOutput } from "../commands/GetMediaCapturePipelineCommand";
import { GetMediaInsightsPipelineConfigurationCommandInput, GetMediaInsightsPipelineConfigurationCommandOutput } from "../commands/GetMediaInsightsPipelineConfigurationCommand";
import { GetMediaPipelineCommandInput, GetMediaPipelineCommandOutput } from "../commands/GetMediaPipelineCommand";
import { ListMediaCapturePipelinesCommandInput, ListMediaCapturePipelinesCommandOutput } from "../commands/ListMediaCapturePipelinesCommand";
import { ListMediaInsightsPipelineConfigurationsCommandInput, ListMediaInsightsPipelineConfigurationsCommandOutput } from "../commands/ListMediaInsightsPipelineConfigurationsCommand";
import { ListMediaPipelinesCommandInput, ListMediaPipelinesCommandOutput } from "../commands/ListMediaPipelinesCommand";
import { ListTagsForResourceCommandInput, ListTagsForResourceCommandOutput } from "../commands/ListTagsForResourceCommand";
import { TagResourceCommandInput, TagResourceCommandOutput } from "../commands/TagResourceCommand";
import { UntagResourceCommandInput, UntagResourceCommandOutput } from "../commands/UntagResourceCommand";
import { UpdateMediaInsightsPipelineConfigurationCommandInput, UpdateMediaInsightsPipelineConfigurationCommandOutput } from "../commands/UpdateMediaInsightsPipelineConfigurationCommand";
import { UpdateMediaInsightsPipelineStatusCommandInput, UpdateMediaInsightsPipelineStatusCommandOutput } from "../commands/UpdateMediaInsightsPipelineStatusCommand";
export declare const serializeAws_restJson1CreateMediaCapturePipelineCommand: (input: CreateMediaCapturePipelineCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1CreateMediaConcatenationPipelineCommand: (input: CreateMediaConcatenationPipelineCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1CreateMediaInsightsPipelineCommand: (input: CreateMediaInsightsPipelineCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1CreateMediaInsightsPipelineConfigurationCommand: (input: CreateMediaInsightsPipelineConfigurationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1CreateMediaLiveConnectorPipelineCommand: (input: CreateMediaLiveConnectorPipelineCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1DeleteMediaCapturePipelineCommand: (input: DeleteMediaCapturePipelineCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1DeleteMediaInsightsPipelineConfigurationCommand: (input: DeleteMediaInsightsPipelineConfigurationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1DeleteMediaPipelineCommand: (input: DeleteMediaPipelineCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1GetMediaCapturePipelineCommand: (input: GetMediaCapturePipelineCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1GetMediaInsightsPipelineConfigurationCommand: (input: GetMediaInsightsPipelineConfigurationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1GetMediaPipelineCommand: (input: GetMediaPipelineCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1ListMediaCapturePipelinesCommand: (input: ListMediaCapturePipelinesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1ListMediaInsightsPipelineConfigurationsCommand: (input: ListMediaInsightsPipelineConfigurationsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1ListMediaPipelinesCommand: (input: ListMediaPipelinesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1ListTagsForResourceCommand: (input: ListTagsForResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1TagResourceCommand: (input: TagResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1UntagResourceCommand: (input: UntagResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1UpdateMediaInsightsPipelineConfigurationCommand: (input: UpdateMediaInsightsPipelineConfigurationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1UpdateMediaInsightsPipelineStatusCommand: (input: UpdateMediaInsightsPipelineStatusCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const deserializeAws_restJson1CreateMediaCapturePipelineCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateMediaCapturePipelineCommandOutput>;
export declare const deserializeAws_restJson1CreateMediaConcatenationPipelineCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateMediaConcatenationPipelineCommandOutput>;
export declare const deserializeAws_restJson1CreateMediaInsightsPipelineCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateMediaInsightsPipelineCommandOutput>;
export declare const deserializeAws_restJson1CreateMediaInsightsPipelineConfigurationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateMediaInsightsPipelineConfigurationCommandOutput>;
export declare const deserializeAws_restJson1CreateMediaLiveConnectorPipelineCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateMediaLiveConnectorPipelineCommandOutput>;
export declare const deserializeAws_restJson1DeleteMediaCapturePipelineCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteMediaCapturePipelineCommandOutput>;
export declare const deserializeAws_restJson1DeleteMediaInsightsPipelineConfigurationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteMediaInsightsPipelineConfigurationCommandOutput>;
export declare const deserializeAws_restJson1DeleteMediaPipelineCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteMediaPipelineCommandOutput>;
export declare const deserializeAws_restJson1GetMediaCapturePipelineCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetMediaCapturePipelineCommandOutput>;
export declare const deserializeAws_restJson1GetMediaInsightsPipelineConfigurationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetMediaInsightsPipelineConfigurationCommandOutput>;
export declare const deserializeAws_restJson1GetMediaPipelineCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetMediaPipelineCommandOutput>;
export declare const deserializeAws_restJson1ListMediaCapturePipelinesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListMediaCapturePipelinesCommandOutput>;
export declare const deserializeAws_restJson1ListMediaInsightsPipelineConfigurationsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListMediaInsightsPipelineConfigurationsCommandOutput>;
export declare const deserializeAws_restJson1ListMediaPipelinesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListMediaPipelinesCommandOutput>;
export declare const deserializeAws_restJson1ListTagsForResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListTagsForResourceCommandOutput>;
export declare const deserializeAws_restJson1TagResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<TagResourceCommandOutput>;
export declare const deserializeAws_restJson1UntagResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UntagResourceCommandOutput>;
export declare const deserializeAws_restJson1UpdateMediaInsightsPipelineConfigurationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateMediaInsightsPipelineConfigurationCommandOutput>;
export declare const deserializeAws_restJson1UpdateMediaInsightsPipelineStatusCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateMediaInsightsPipelineStatusCommandOutput>;
